node{
	stage('SCM Checkout')
{
    git 'https://gitlab.com/asheesh.gupta/maven_git'
    
}

stage('wait') 
{
        timeout(time:5, unit:'DAYS') 
        {
            input message:'Approve deployment?'
        }
}
        
   stage('Compile-Package')
   {
   sh 'mvn clean'
	sh 'mvn package'
    }
}

